import Taro, { Component } from '@tarojs/taro'
import { View, Button, Text,Image } from '@tarojs/components'
import { AtIcon } from 'taro-ui'

import './filteredShopComponent.scss'

import URL from '../../serviceAPI.config'
const hornIcon = require('../../icons/horn.png')
const houseIcon = require('../../icons/house.png')
class recommondShop extends Component {

    config = {
        navigationBarTitleText: 'recommondShop'
    }
    goToShop(value) {
       
        Taro.navigateTo({
            url: '/pages/shop/shop?id='+value.shop_id+'&name='+value.shop_name
        })
    }
    
    componentWillReceiveProps(nextProps) {
        //console.log(this.props, nextProps)
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        
        const title = this.props.shop?this.props.shop.shop_name:null
        const imgUrl = this.props.shop ? URL.Base + this.props.shop.goods[0].goods_url : null
        const price = this.props.shop ? this.props.shop.goods[0].goods_price : null
        const goods = this.props.shop ? this.props.shop.goods : null
        const ProductName = this.props.shop ? this.props.shop.goods[0].goods_name : null
        const address = this.props.shop ? this.props.shop.shop_address : null
        const distance = this.props.shop ? this.props.shop.distance : null
        const ads = this.props.shop ? this.props.shop.ads:null
       // const consultText = this.props.shop.wx_open
        const voucherLeft = this.props.shop?this.props.shop.left_nums:null
        const slicedGoods = goods !==null?goods.slice(1):null
        const goodsElementsArray = goods !== null ? slicedGoods.map((item,index)=>{
            return <View className='goods-img-box' key={index}>
                <Image className='goods-img' src={URL.Base+item.goods_url} />
            </View>
        }):null
        return (
            <View className='shop-list-box' >
                <View className='header'>
                    <View className='title'>
                        <Image src={ads==0 ? hornIcon :houseIcon} style='width:12px; height:12px; vertical-align: middle;'/>
                        <Text style='margin-left:2px; vertical-align: middle;'>  {title}</Text>
                    </View>
                    <View className='consult-voucher-button' >
                        <Button style='padding:0' className={voucherLeft ? 'voucher-button-text voucher' : 'voucher-button-text'} >优惠卷</Button>
                        <Button style='padding:0' className='consult-button-text'>咨询</Button>
                       
                    </View>
                </View>
                <View className='body'>
                    <View className='shop-img' onClick={this.goToShop.bind(this, this.props.shop)}>
                        <Image src={imgUrl}/>
                    </View>
                    {goods.length !== 1 ? goodsElementsArray:<View className='details'>
                        <View className='details-block'><Text className='details-text'>商品:</Text> <Text>{ProductName}</Text></View>
                        <View className='details-block'><Text className='details-text'>价格: </Text><Text>{price}</Text></View>
                    </View>}
                    
                </View>
                <View className='footer'>
                    <View className='address'>
                        <AtIcon value='map-pin' size='15' color='#FF7142'></AtIcon>
                    {address} </View>
                    <View className='distance'><Text>{distance}</Text></View>
                   
                </View>
            </View>
        )
    }
}

export default recommondShop
